% EPALG - Evolutionary Programming ALGorithm
%
% Usage:
% 
% [x,rep] = epalg(fname, config, P0, P1, ... , P9);
%
% Input:
%
% fname   - is string containing function name (m file).
%           It is required that the function has single output (function value).
% config  - configuration cell containing string pairs. First string is the 
%           parameter name and the second string is value. For detailed description 
%           of parameters see examples and parameter explanation document.  
% P0, ... - Additional inputs that could be required for calling the evaluation function.
%           There can not be more than 10.
%
% Output:
%
% x       - vector that gives achived maximum of the function "fname"
% rep     - short report in the form of (ngen x 3) matrix, that gives for each generation:  
%           generation number, best value and worse value of the function
% 
%